Galon Cloud
Galon API v1

/functions/jobs/{job_id}

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

GET /functions/jobs/{job_id}

Read a function job

Read a Functions deploy or delete job. Use when a deploy or delete job was accepted. Before: deploy_function or delete_function (they need functions deploy access). Returns the job: status, error code, revision and public url. Scope: job:read.

API key (Bearer), on the public API endpoint.

Parameters

NameInTypeDescription
job_idpathstring · requiredJob id from deploy_function or delete_function (they need functions deploy access).

Responses

StatusDescriptionBody
2XXSuccess: the JSON body the route returns (see the description for its fields).object
401Key missing or invalidError
4XXRefused: act on detail.code, then follow detail.next_action (404 not_found while the service is not open to the account).Error

Examples

curl

curl -X GET "$GALON_API_BASE/functions/jobs/<job_id>" \
  -H "Authorization: Bearer $GALON_API_KEY"